Strange issues with babel-eslint


#1

I somehow managed to update eslint and babel-eslint in such a way, that they were marked as dependencies in package.json.

No biggie, I’ll just move them to devDependencies …except:

W20161013-22:14:55.058(3)? (STDERR) /Users/arggh/Development/app/.meteor/local/build/programs/server/boot.js:333
W20161013-22:14:55.089(3)? (STDERR) }).run(); 
W20161013-22:14:55.089(3)? (STDERR)    ^      
W20161013-22:14:55.090(3)? (STDERR)           
W20161013-22:14:55.090(3)? (STDERR) Error: Cannot find module '../core-js/symbol/iterator'
W20161013-22:14:55.090(3)? (STDERR)     at require (packages/modules-runtime/.npm/package/node_modules/install/install.js:85:1)
W20161013-22:14:55.090(3)? (STDERR)     at meteorInstall.node_modules.babel-runtime.helpers.typeof.js (node_modules/babel-runtime/helpers/typeof.js:5:1)
W20161013-22:14:55.091(3)? (STDERR)     at fileEvaluate (packages/modules-runtime/.npm/package/node_modules/install/install.js:153:1)
W20161013-22:14:55.091(3)? (STDERR)     at Module.require (packages/modules-runtime/.npm/package/node_modules/install/install.js:82:1)
W20161013-22:14:55.091(3)? (STDERR)     at Module.Mp.import (/Users/arggh/Development/app/.meteor/local/isopacks/modules/npm/node_modules/reify/lib/runtime.js:70:16)
W20161013-22:14:55.092(3)? (STDERR)     at meteorInstall.node_modules.meteor.webapp.webapp_server.js (/Users/arggh/Development/app/.meteor/local/build/programs/server/packages/webapp.js:33:26)
W20161013-22:14:55.092(3)? (STDERR)     at fileEvaluate (packages/modules-runtime/.npm/package/node_modules/install/install.js:153:1)
W20161013-22:14:55.092(3)? (STDERR)     at require (packages/modules-runtime/.npm/package/node_modules/install/install.js:82:1)
W20161013-22:14:55.093(3)? (STDERR)     at /Users/arggh/Development/app/.meteor/local/build/programs/server/packages/webapp.js:829:1
W20161013-22:14:55.098(3)? (STDERR)     at /Users/arggh/Development/app/.meteor/local/build/programs/server/packages/webapp.js:842:3

At this point I should mention, that I’m running Meteor from a local checkout (1.4.2-beta.5).

I’ve tried to:

  1. meteor reset
  2. rm -rf node_modules && meteor npm install
  3. manually remove .meteor/local

Nothing works. The only way I get my app back running is by installing babel-eslint as a dependency.

I can also run my “regular” Meteor installation at 1.4.1 and that works fine too.

Any ideas how to get the local checkout running as well?

Next on agenda:

rm -rf ~/Development/meteor && git clone ...


[Solved] Upgrade to Meteor 1.5.1: Error: Cannot find module '../core-js/symbol/iterator'
#2

Just putting babel-runtime as a dependency would have worked as a workaround.

The fix for this is probably coming soon (in 1.4.2-beta.11). I see Benjamn just performed a commit that referenced it a few hours ago. It is being tracked in github issue 7872.


#3

Thanks for pointing this out, I thought I messed up somehow.


#4

I still ran into this issue after updating Meteor to version 1.4.2.3.

Thanks for the hint, adding babel-eslint also as a dependencies not only as devDependencies, it worked out like that.


#5

Should be enough with 1.4.2.3 to include babel-runtime in dependencies.